Bug 543925 - [abrt] crash detected in jokosher-1.0-0.8.20091128bzr.fc12
Summary: [abrt] crash detected in jokosher-1.0-0.8.20091128bzr.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jokosher
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christopher Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fc380120
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-03 14:19 UTC by Paul Lange
Modified: 2010-05-10 23:51 UTC (History)
2 users (show)

Fixed In Version: jokosher-1.0-0.11.20100503bzr.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 17:06:50 UTC


Attachments (Terms of Use)
File: backtrace (1.32 KB, text/plain)
2009-12-03 14:19 UTC, Paul Lange
no flags Details
log (9.18 KB, text/plain)
2009-12-04 11:46 UTC, Paul Lange
no flags Details
debug log with crash (3.14 KB, text/plain)
2010-03-29 06:53 UTC, Michal Pomorski
no flags Details

Description Paul Lange 2009-12-03 14:19:26 UTC
abrt 1.0.0 detected a crash.

Comment: Tries to record something with my not working microphone

backtrace
-----
Summary: TBfc380120 Project.py:374:Record:AddError: Could not add element 'recording bin'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/Jokosher/JokosherApp.py", line 474, in Record
    self.project.Record()
  File "/usr/lib/python2.6/site-packages/Jokosher/Project.py", line 374, in Record
    self.mainpipeline.add(recordingbin)
AddError: Could not add element 'recording bin'

Local variables in innermost frame:
instr: Instrument [2] Akustikgitarre
deviceName: 
convert: /GstBin:recording bin/GstAudioConvert:audioconvert14 (__main__.GstAudioConvert)
recordString: pulsesrc
struct: <GstStructure (audio/x-raw-float) at 8547948>
default_device: None
srcBin: /GstBin:recording bin/GstBin:bin18 (gst.Bin)
self: <Project object at 0x8aabe64 (Jokosher+Project+Project at 0x85c5c10)>
capsfilter: /GstBin:recording bin/GstCapsFilter:capsfilter4 (__main__.GstCapsFilter)
recInstruments: [Instrument [0] Bass, Instrument [0] Bass]
devices: {None: [Instrument [0] Bass, Instrument [0] Bass], 'auto_null.monitor': []}
caps: audio/x-raw-int, channels=(int)2; audio/x-raw-float, channels=(int)2
channelsNeeded: 2
recordingbin: /GstBin:recording bin (gst.Bin)
split: /GstBin:recording bin/GstDeinterleave:deinterleave1 (__main__.GstDeinterleave)
device: None
capture_devices: [(None, ''), ('auto_null.monitor', '')]
sampleRate: 0

cmdline: /usr/bin/python /usr/bin/jokosher 
component: jokosher
executable: /usr/bin/jokosher
kernel: 2.6.31.6-145.fc12.i686
package: jokosher-1.0-0.8.20091128bzr.fc12
uuid: fc380120

Comment 1 Paul Lange 2009-12-03 14:19:29 UTC
Created attachment 375789 [details]
File: backtrace

Comment 2 Christopher Brown 2009-12-04 10:41:49 UTC
Hi Paul,

Thank you for the bug report.

Please could you re-run jokosher from the command line:

jokosher --debug &> jokosher.debug

and then replicate the problem, then upload the jokosher.debug text file, attaching as type text/plain.

Thanks

Comment 3 Paul Lange 2009-12-04 11:46:05 UTC
Created attachment 376063 [details]
log

I tried the same as yesterday but couldn't replicate the crash.
However there were some gstreamer errors. Hope they help.

Comment 4 Michal Pomorski 2010-03-29 06:48:51 UTC

How to reproduce
-----
1.Start new project with Vocal template.
2.Press record: 'GStreamer encountered a general stream error.' will happen
3.Press stop and then record again: crash will happen


Comment
-----
Sometimes it works, most times it doesnt.
Sound-recorder works without problem.

Comment 5 Michal Pomorski 2010-03-29 06:53:22 UTC
Created attachment 403195 [details]
debug log with crash

Crash.

Comment 6 Fedora Update System 2010-05-03 15:35:00 UTC
jokosher-1.0-0.12.20100503bzr.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/jokosher-1.0-0.12.20100503bzr.fc12

Comment 7 Fedora Update System 2010-05-03 15:35:26 UTC
jokosher-1.0-0.11.20100503bzr.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/jokosher-1.0-0.11.20100503bzr.fc13

Comment 8 Fedora Update System 2010-05-04 06:08:21 UTC
jokosher-1.0-0.11.20100503bzr.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jokosher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jokosher-1.0-0.11.20100503bzr.fc13

Comment 9 Fedora Update System 2010-05-04 06:08:52 UTC
jokosher-1.0-0.12.20100503bzr.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jokosher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jokosher-1.0-0.12.20100503bzr.fc12

Comment 10 Fedora Update System 2010-05-10 17:06:25 UTC
jokosher-1.0-0.12.20100503bzr.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-05-10 23:51:13 UTC
jokosher-1.0-0.11.20100503bzr.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.